Subject: bug#16192: hl-line-mode: Current line highlighting takes precedence over region highlighting

From: Drew Adams <[email-masked]>
Date: Thu, 19 Dec 2013 08:43:56 -0800 (PST)

> I've just installed a patch which lowers the priority of the hl-line
> highlighting, which seems like a good thing to do in general and which
> should resolve this problem (unless you use the same attributes for the
> region and the hl-line faces).

It's not about the priority of the hl-line highlighting. (And other code
might well expect the priority that was there before.)

It's about the priority of the region highlighting.  Raise that,
instead of lowering other priorities case by case (and possibly breaking
other code).  It is the region overlay that is new.  It is its priority
that needs fixing.

But didn't you say that you didn't want to be fiddling with priorities,
to deal with the problems introduced by this change?